Need help

Hi, I need help. I went for an upgrade, but made a mistake, selected the E99 upgrade, payed, downloaded and tried to install it, but I have version 3.5. Didn’t notice it was for v.4
How can I solve this?

Thanks in advance
Felipe Copaja

Felipe, you should contact FastSpring support and ask for a refund. They should handle it very quickly.